Pipeline Runs - Query By Factory
Query pipeline runs in the factory based on input filter conditions.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataFactory/factories/{factoryName}/queryPipelineRuns?api-version=2018-06-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
factory
|
path | True |
string minLength: 3maxLength: 63 pattern: ^[A-Za-z0-9]+(?:-[A-Za-z0-9]+)*$ |
The factory name. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| lastUpdatedAfter | True |
string (date-time) |
The time at or after which the run event was updated in 'ISO 8601' format. |
| lastUpdatedBefore | True |
string (date-time) |
The time at or before which the run event was updated in 'ISO 8601' format. |
| continuationToken |
string |
The continuation token for getting the next page of results. Null for first page. |
|
| filters |
List of filters. |
||
| orderBy |
List of OrderBy option. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
PipelineRuns_QueryByFactory
Sample request
POST https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.DataFactory/factories/exampleFactoryName/queryPipelineRuns?api-version=2018-06-01
{
"filters": [
{
"operand": "PipelineName",
"operator": "Equals",
"values": [
"examplePipeline"
]
}
],
"lastUpdatedAfter": "2018-06-16T00:36:44.3345758Z",
"lastUpdatedBefore": "2018-06-16T00:49:48.3686473Z"
}
Sample response
Date: Sat, 16 Jun 2018 00:40:01 GMT
X-Content-Type-Options: nosniff
x-ms-correlation-request-id: 2f955e10-c6df-45a7-97d4-81acdb8540cd
x-ms-ratelimit-remaining-subscription-reads: 14989
x-ms-request-id: 2f955e10-c6df-45a7-97d4-81acdb8540cd
{
"value": [
{
"annotations": [],
"durationInMs": 28105,
"invokedBy": {
"name": "Manual",
"id": "80a01654a9d34ad18b3fcac5d5d76b67"
},
"lastUpdated": "2018-06-16T00:38:12.7314495Z",
"message": "",
"parameters": {
"OutputBlobNameList": "[\"exampleoutput.csv\"]"
},
"pipelineName": "examplePipeline",
"runDimension": {
"JobId": "79c1cc52-265f-41a5-9553-be65e736fbd3"
},
"runEnd": "2018-06-16T00:38:12.7314495Z",
"runId": "2f7fdb90-5df1-4b8e-ac2f-064cfa58202b",
"runStart": "2018-06-16T00:37:44.6257014Z",
"status": "Succeeded"
},
{
"annotations": [],
"durationInMs": null,
"invokedBy": {
"name": "Manual",
"id": "7c5fd7ef7e8a464b98b931cf15fcac66"
},
"lastUpdated": "2018-06-16T00:39:51.216097Z",
"message": "",
"parameters": {
"OutputBlobNameList": "[\"exampleoutput.csv\"]"
},
"pipelineName": "examplePipeline",
"runDimension": {
"JobId": "84a3c493-0628-4b44-852f-ef5b3a11bdab"
},
"runEnd": null,
"runId": "16ac5348-ff82-4f95-a80d-638c1d47b721",
"runStart": "2018-06-16T00:39:49.2745128Z",
"status": "Cancelled"
}
]
}
Definitions
| Name | Description |
|---|---|
|
Cloud |
The object that defines the structure of an Azure Data Factory error response. |
|
Pipeline |
Information about a pipeline run. |
|
Pipeline |
Provides entity name and id that started the pipeline run. |
|
Pipeline |
A list pipeline runs. |
|
Run |
Query parameters for listing runs. |
|
Run |
Query filter option for listing runs. |
|
Run |
Parameter name to be used for filter. The allowed operands to query pipeline runs are PipelineName, RunStart, RunEnd and Status; to query activity runs are ActivityName, ActivityRunStart, ActivityRunEnd, ActivityType and Status, and to query trigger runs are TriggerName, TriggerRunTimestamp and Status. |
|
Run |
Operator to be used for filter. |
|
Run |
Sorting order of the parameter. |
|
Run |
An object to provide order by options for listing runs. |
|
Run |
Parameter name to be used for order by. The allowed parameters to order by for pipeline runs are PipelineName, RunStart, RunEnd and Status; for activity runs are ActivityName, ActivityRunStart, ActivityRunEnd and Status; for trigger runs are TriggerName, TriggerRunTimestamp and Status. |
CloudError
The object that defines the structure of an Azure Data Factory error response.
| Name | Type | Description |
|---|---|---|
| error.code |
string |
Error code. |
| error.details |
Array with additional error details. |
|
| error.message |
string |
Error message. |
| error.target |
string |
Property name/path in request associated with error. |
PipelineRun
Information about a pipeline run.
| Name | Type | Description |
|---|---|---|
| durationInMs |
integer (int32) |
The duration of a pipeline run. |
| invokedBy |
Entity that started the pipeline run. |
|
| isLatest |
boolean |
Indicates if the recovered pipeline run is the latest in its group. |
| lastUpdated |
string (date-time) |
The last updated timestamp for the pipeline run event in ISO8601 format. |
| message |
string |
The message from a pipeline run. |
| parameters |
object |
The full or partial list of parameter name, value pair used in the pipeline run. |
| pipelineName |
string |
The pipeline name. |
| runDimensions |
object |
Run dimensions emitted by Pipeline run. |
| runEnd |
string (date-time) |
The end time of a pipeline run in ISO8601 format. |
| runGroupId |
string |
Identifier that correlates all the recovery runs of a pipeline run. |
| runId |
string |
Identifier of a run. |
| runStart |
string (date-time) |
The start time of a pipeline run in ISO8601 format. |
| status |
string |
The status of a pipeline run. Possible values: Queued, InProgress, Succeeded, Failed, Canceling, Cancelled |
PipelineRunInvokedBy
Provides entity name and id that started the pipeline run.
| Name | Type | Description |
|---|---|---|
| id |
string |
The ID of the entity that started the run. |
| invokedByType |
string |
The type of the entity that started the run. |
| name |
string |
Name of the entity that started the pipeline run. |
| pipelineName |
string |
The name of the pipeline that triggered the run, if any. |
| pipelineRunId |
string |
The run id of the pipeline that triggered the run, if any. |
PipelineRunsQueryResponse
A list pipeline runs.
| Name | Type | Description |
|---|---|---|
| continuationToken |
string |
The continuation token for getting the next page of results, if any remaining results exist, null otherwise. |
| value |
List of pipeline runs. |
RunFilterParameters
Query parameters for listing runs.
| Name | Type | Description |
|---|---|---|
| continuationToken |
string |
The continuation token for getting the next page of results. Null for first page. |
| filters |
List of filters. |
|
| lastUpdatedAfter |
string (date-time) |
The time at or after which the run event was updated in 'ISO 8601' format. |
| lastUpdatedBefore |
string (date-time) |
The time at or before which the run event was updated in 'ISO 8601' format. |
| orderBy |
List of OrderBy option. |
RunQueryFilter
Query filter option for listing runs.
| Name | Type | Description |
|---|---|---|
| operand |
Parameter name to be used for filter. The allowed operands to query pipeline runs are PipelineName, RunStart, RunEnd and Status; to query activity runs are ActivityName, ActivityRunStart, ActivityRunEnd, ActivityType and Status, and to query trigger runs are TriggerName, TriggerRunTimestamp and Status. |
|
| operator |
Operator to be used for filter. |
|
| values |
string[] |
List of filter values. |
RunQueryFilterOperand
Parameter name to be used for filter. The allowed operands to query pipeline runs are PipelineName, RunStart, RunEnd and Status; to query activity runs are ActivityName, ActivityRunStart, ActivityRunEnd, ActivityType and Status, and to query trigger runs are TriggerName, TriggerRunTimestamp and Status.
| Value | Description |
|---|---|
| PipelineName |
PipelineName |
| Status |
Status |
| RunStart |
RunStart |
| RunEnd |
RunEnd |
| ActivityName |
ActivityName |
| ActivityRunStart |
ActivityRunStart |
| ActivityRunEnd |
ActivityRunEnd |
| ActivityType |
ActivityType |
| TriggerName |
TriggerName |
| TriggerRunTimestamp |
TriggerRunTimestamp |
| RunGroupId |
RunGroupId |
| LatestOnly |
LatestOnly |
RunQueryFilterOperator
Operator to be used for filter.
| Value | Description |
|---|---|
| Equals |
Equals |
| NotEquals |
NotEquals |
| In |
In |
| NotIn |
NotIn |
RunQueryOrder
Sorting order of the parameter.
| Value | Description |
|---|---|
| ASC |
ASC |
| DESC |
DESC |
RunQueryOrderBy
An object to provide order by options for listing runs.
| Name | Type | Description |
|---|---|---|
| order |
Sorting order of the parameter. |
|
| orderBy |
Parameter name to be used for order by. The allowed parameters to order by for pipeline runs are PipelineName, RunStart, RunEnd and Status; for activity runs are ActivityName, ActivityRunStart, ActivityRunEnd and Status; for trigger runs are TriggerName, TriggerRunTimestamp and Status. |
RunQueryOrderByField
Parameter name to be used for order by. The allowed parameters to order by for pipeline runs are PipelineName, RunStart, RunEnd and Status; for activity runs are ActivityName, ActivityRunStart, ActivityRunEnd and Status; for trigger runs are TriggerName, TriggerRunTimestamp and Status.
| Value | Description |
|---|---|
| RunStart |
RunStart |
| RunEnd |
RunEnd |
| PipelineName |
PipelineName |
| Status |
Status |
| ActivityName |
ActivityName |
| ActivityRunStart |
ActivityRunStart |
| ActivityRunEnd |
ActivityRunEnd |
| TriggerName |
TriggerName |
| TriggerRunTimestamp |
TriggerRunTimestamp |